API reference
List shipping coverage
GET
/v1/shipping/coverageAuthorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Query Parameters
isActive?boolean
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/shipping/coverage"{ "locations": [ { "id": "string", "name": "string", "code": "string", "address": null, "city": null, "state": null, "country": null, "postalCode": null, "isActive": true, "isDefault": true, "supportsShipping": true, "supportsLocalDelivery": true, "supportsPickup": true, "localDeliveryPostalCodes": [ "string" ], "localDeliveryZones": [ { "name": "string", "postalCodes": [ "string" ], "radiusKm": null, "fee": null, "freeFromAmount": null, "minHours": null, "maxHours": null } ], "profiles": [ { "id": "string", "name": "string", "isDefault": true, "isActive": true } ], "pickupPoints": [ { "id": "string", "name": "string", "city": null, "state": null, "postalCode": null, "address": null, "isExternal": true, "status": "inactive" } ] } ], "zones": [ { "id": "string", "code": "string", "name": "string", "description": null, "countryCodes": [ "string" ], "provinceCodes": [ "string" ], "cityNames": [ "string" ], "districtNames": [ "string" ], "postalCodes": [ "string" ], "isActive": true } ]}